Name:           ykpers
Version:        1.7.0
Release:        %mkrel 3
Summary:        Yubikey personalization program

Group:          System/Libraries
License:        BSD
URL:            http://code.google.com/p/yubikey-personalization/
Source0:        http://yubikey-personalization.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        http://yubikey-personalization.googlecode.com/files/%{name}-%{version}.tar.gz.sig

BuildRequires: gusb-devel
BuildRequires: yubikey-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a library
that makes this an easy task.

%package devel
Summary:        Development files for ykpers
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header file needed to develop applications that
use ykpers.

%prep
%setup -q

%build
%configure --enable-static=no --disable-rpath \
           --with-udevrulesdir=/lib/udev/rules.d \
%ifnarch s390 s390x
    --with-backend=libusb-1.0
%else
    --with-backend=libusb
%endif
# --disable-rpath doesn't work for the configure script
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}

%check
pwd
%{__make} check LD_LIBRARY_PATH="../.libs"

%install
%{__make} install DESTDIR=${RPM_BUILD_ROOT} INSTALL="%{__install} -p"

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS
%doc doc/Read-Me.asciidoc doc/Compatibility.asciidoc
%{_bindir}/ykpersonalize
%{_bindir}/ykchalresp
%{_libdir}/libykpers-1.so.1
%{_libdir}/libykpers-1.so.%{version}
%{_mandir}/man1/ykpersonalize.1.xz
%{_mandir}/man1/ykchalresp.1.xz
/lib/udev/rules.d/70-yubikey.rules

%files devel
%defattr(-,root,root,-)
%doc doc/USB-Hid-Issue.asciidoc
%{_libdir}/pkgconfig/ykpers-1.pc
%{_libdir}/libykpers-1.so
%{_includedir}/ykpers-1/
%exclude %{_libdir}/libykpers-1.la



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-3.mga3
+ Revision: 387567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 dlucio <dlucio> 1.7.0-2.mga3
+ Revision: 296853
- App group fixed
- 1.7.0
- imported package ykpers

